CRM Events
List CRM events
Returns CRM events. The query must contain exactly one target field out of businessCaseId, clientId, or supplierId. You can optionally filter by type and paginate with perPage and page.
GET
/
contact-activity-logs
List CRM events
curl --request GET \
--url https://app.fintoro.sk/api/public/v1/contact-activity-logs \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.fintoro.sk/api/public/v1/contact-activity-logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.fintoro.sk/api/public/v1/contact-activity-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.fintoro.sk/api/public/v1/contact-activity-logs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.fintoro.sk/api/public/v1/contact-activity-logs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.fintoro.sk/api/public/v1/contact-activity-logs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.fintoro.sk/api/public/v1/contact-activity-logs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 551,
"type": "note",
"metadata": {
"content": "Follow-up call summary",
"email": "crm@example.test",
"personName": "John Caller",
"phoneNumber": "+421900000000",
"documentNumberSnapshot": "20260001",
"documentPriceSnapshot": 121,
"documentCurrencySnapshot": {
"id": 1,
"symbol": "EUR",
"name": "Euro",
"mark": "€"
},
"paidAmount": 25.5,
"relatedDocument": {
"documentType": "invoice",
"documentId": 301,
"name": "Invoice 20260001",
"number": "20260001",
"issueDate": "2026-03-10",
"totalWithVat": 121,
"currency": {
"id": 1,
"symbol": "EUR",
"name": "Euro",
"mark": "€"
}
}
},
"attachments": [
{
"id": 9001,
"name": "note.pdf",
"mimeType": "application/pdf",
"url": "https://cdn.fintoro.sk/contact-activity-attachments/note.pdf"
}
],
"businessCaseId": 501,
"clientId": 101,
"supplierId": 151,
"createdAt": "2026-03-10T10:00:00+01:00",
"updatedAt": "2026-03-10T10:30:00+01:00"
}
],
"paginator": {
"currentPage": 2,
"perPage": 10,
"totalPages": 5,
"totalResults": 42,
"currentFrom": 11,
"currentTo": 20,
"firstPageUrl": "https://app.fintoro.sk/api/public/v1/invoices?page=1",
"lastPageUrl": "https://app.fintoro.sk/api/public/v1/invoices?page=5",
"nextPageUrl": "https://app.fintoro.sk/api/public/v1/invoices?page=3",
"previousPageUrl": "https://app.fintoro.sk/api/public/v1/invoices?page=1",
"links": [
{
"url": "https://app.fintoro.sk/api/public/v1/invoices?page=2",
"label": "2",
"active": false
}
]
}
}{
"message": "This action is unauthorized."
}{
"message": "The given data was invalid.",
"errors": {}
}{
"message": "Too Many Attempts."
}{
"message": "Server Error"
}{
"message": "Service Unavailable"
}Authorizations
Query Parameters
⌘I
List CRM events
curl --request GET \
--url https://app.fintoro.sk/api/public/v1/contact-activity-logs \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.fintoro.sk/api/public/v1/contact-activity-logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.fintoro.sk/api/public/v1/contact-activity-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.fintoro.sk/api/public/v1/contact-activity-logs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.fintoro.sk/api/public/v1/contact-activity-logs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.fintoro.sk/api/public/v1/contact-activity-logs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.fintoro.sk/api/public/v1/contact-activity-logs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 551,
"type": "note",
"metadata": {
"content": "Follow-up call summary",
"email": "crm@example.test",
"personName": "John Caller",
"phoneNumber": "+421900000000",
"documentNumberSnapshot": "20260001",
"documentPriceSnapshot": 121,
"documentCurrencySnapshot": {
"id": 1,
"symbol": "EUR",
"name": "Euro",
"mark": "€"
},
"paidAmount": 25.5,
"relatedDocument": {
"documentType": "invoice",
"documentId": 301,
"name": "Invoice 20260001",
"number": "20260001",
"issueDate": "2026-03-10",
"totalWithVat": 121,
"currency": {
"id": 1,
"symbol": "EUR",
"name": "Euro",
"mark": "€"
}
}
},
"attachments": [
{
"id": 9001,
"name": "note.pdf",
"mimeType": "application/pdf",
"url": "https://cdn.fintoro.sk/contact-activity-attachments/note.pdf"
}
],
"businessCaseId": 501,
"clientId": 101,
"supplierId": 151,
"createdAt": "2026-03-10T10:00:00+01:00",
"updatedAt": "2026-03-10T10:30:00+01:00"
}
],
"paginator": {
"currentPage": 2,
"perPage": 10,
"totalPages": 5,
"totalResults": 42,
"currentFrom": 11,
"currentTo": 20,
"firstPageUrl": "https://app.fintoro.sk/api/public/v1/invoices?page=1",
"lastPageUrl": "https://app.fintoro.sk/api/public/v1/invoices?page=5",
"nextPageUrl": "https://app.fintoro.sk/api/public/v1/invoices?page=3",
"previousPageUrl": "https://app.fintoro.sk/api/public/v1/invoices?page=1",
"links": [
{
"url": "https://app.fintoro.sk/api/public/v1/invoices?page=2",
"label": "2",
"active": false
}
]
}
}{
"message": "This action is unauthorized."
}{
"message": "The given data was invalid.",
"errors": {}
}{
"message": "Too Many Attempts."
}{
"message": "Server Error"
}{
"message": "Service Unavailable"
}
